Error sobre tipos de campo en unión de tablas
06/25/2020 05:18 PM - Mario Carrera

Status: New % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee:
Category: Document table
Target version:
Severity: Add-on version:
gvSIG version: 2.5.1 Add-on build:
gvSIG build: Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:
Has patch: Hito:
Add-on name: Unknown
Description

Al realizar una unión de tablas salta error sobre los tipos de campo al acceder a dicha ventana.

Pasos seguidos:

Vista 25830 
Cargar capas Comarca y Municipios adjuntas
Abrir ambas tablas
Crear unión de tablas: 
- Tabla primera: Comarcas 
- Tabla segunda: Municipios 
Se le da a siguiente y salta error.

Adjunto log y las dos capas.

Related issues:
Related to Application: gvSIG desktop - gvSIG bugs # 5519: Al importar campos... New 12/02/2020
Related to Application: gvSIG desktop - gvSIG bugs # 5782: Da error al unir t... New 10/06/2023

History
#1 - 08/04/2020 05:18 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.5.1-3027 to 2.5.1-3042-RC2

#2 - 09/27/2020 06:24 PM - Óscar Martínez

Esto ocurre ya que el primer campo que encuentra de Comarcas es un campo Integer, y luego no consigue encontrar un campo que sea de tipo
integer en la segunda tabla. Por tanto, pasa por el aviso que contiene el panel para avisar de que no encuentra un campo por el cual hacer la
relación.

#3 - 09/27/2020 08:31 PM - Óscar Martínez
- Target version changed from 2.5.1-3042-RC2 to 2.5.1-3037
- Status changed from New to Fixed

No es un error. Se podría estudiar para que el comportamiento fuera diferente.
#4 - 09/28/2020 10:08 AM - Mario Carrera
- Status changed from Fixed to New

Lo vuelvo a abrir para que no se pierda, ya que no está corregido.

Creo que es importante, ya que es fácil tener el primer campo ID de tipo entero en una capa. Si ocurre eso y en la segunda no hay campos enteros no
va a dejar hacer nunca la unión y le va a saltar error al usuario.

#5 - 09/28/2020 11:50 AM - Álvaro Anguix
- Target version deleted (2.5.1-3037)
- Tracker changed from gvSIG bugs to gvSIG feature requests

Es más una FR. De base es normal que no permita unir campos de tipo distinto, por tanto sería una mejora.

#6 - 09/28/2020 12:03 PM - Mario Carrera

Sí, pero el problema es que cuando pasas de ventana a la de selección de campos para la unión, gvSIG muestra siempre por defecto el primer campo
de cada tabla en el desplegable. Si el tipo del primer campo de la primera tabla no existe en ninguno de los campos de la segunda va a dar error, con
lo que no estamos permitiendo al usuario realizar ninguna unión entre esas dos tablas, aunque sí que existan campos String por ejemplo en ambas.

Considero que sería FR si no hiciese la comprobación automática en ese paso y que el usuario pudiese elegirlos, pero da error y no permite.

#7 - 09/28/2020 01:41 PM - Álvaro Anguix
- Tracker changed from gvSIG feature requests to gvSIG bugs

Ok, entendido... es bug

#8 - 09/28/2020 01:43 PM - Álvaro Anguix

Una solución sencilla es que hiciera la comprobación una vez se selecciona el segundo campo.

#9 - 12/02/2020 09:30 AM - Mario Carrera
- Related to gvSIG bugs #5519: Al importar campos deja los campos unidos vacíos added

#10 - 11/07/2023 10:09 AM - Joaquín  del Cerro Murciano
- Related to gvSIG bugs #5782: Da error al unir tablas cuando nos traemos la geometría de la segunda added

Files
gvSIG.log 439 KB 06/25/2020 Mario Carrera
muni_CV_25830.zip 4.67 MB 06/25/2020 Mario Carrera
COMARCASCV.zip 1.17 MB 06/25/2020 Mario Carrera
